mtl-1.1.1.0: Monad transformer library

Portability | non-portable (multi-parameter type classes)
Stability | experimental
Maintainer | libraries@haskell.org

Control.Monad.List

Description

The List monad.

# Documentation

newtype ListT m a

Constructors

ListT |

Fields

runListT :: m [a]

Instances

MonadTrans ListT |
MonadError e m => MonadError e (ListT m) |
MonadState s m => MonadState s (ListT m) |
MonadReader s m => MonadReader s (ListT m) |
Monad m => Monad (ListT m) |
Monad m => Functor (ListT m) |
Monad m => MonadPlus (ListT m) |
MonadIO m => MonadIO (ListT m) |
MonadCont m => MonadCont (ListT m) |

mapListT :: (m [a] -> n [b]) -> ListT m a -> ListT n b

module Control.Monad

module Control.Monad.Trans